<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::AbstractOutput Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1AbstractOutput.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1AbstractOutput-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::AbstractOutput Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classOpenSim_1_1Output.html">Output</a> formalizes the access to a value of interest computed by the owning <a class="el" href="classOpenSim_1_1Component.html" title="The abstract Component class defines the interface used to add computational elements to the underlyi...">Component</a>.  
 <a href="classOpenSim_1_1AbstractOutput.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::AbstractOutput:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1AbstractOutput.png" usemap="#OpenSim::AbstractOutput_map" alt=""/>
  <map id="OpenSim::AbstractOutput_map" name="OpenSim::AbstractOutput_map">
<area href="classOpenSim_1_1Output.html" alt="OpenSim::Output&lt; T &gt;" shape="rect" coords="0,56,153,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0bfcb6c6daec50e7282346522f88dc63"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a0bfcb6c6daec50e7282346522f88dc63">AbstractOutput</a> ()</td></tr>
<tr class="separator:a0bfcb6c6daec50e7282346522f88dc63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab03fca4d34bedf0c35f5594a2d929234"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ab03fca4d34bedf0c35f5594a2d929234">AbstractOutput</a> (const std::string &amp;name, SimTK::Stage dependsOnStage, bool isList)</td></tr>
<tr class="separator:ab03fca4d34bedf0c35f5594a2d929234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2725d90966fff4eab25cdcaf44a16d6c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a2725d90966fff4eab25cdcaf44a16d6c">AbstractOutput</a> (const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;other)=default</td></tr>
<tr class="separator:a2725d90966fff4eab25cdcaf44a16d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e98263bd1b2661b1720e8a42e9148e0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a7e98263bd1b2661b1720e8a42e9148e0">~AbstractOutput</a> ()=default</td></tr>
<tr class="separator:a7e98263bd1b2661b1720e8a42e9148e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab76339f1363078e6008effa62d407668"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ab76339f1363078e6008effa62d407668">getName</a> () const</td></tr>
<tr class="memdesc:ab76339f1363078e6008effa62d407668"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s name.  <a href="classOpenSim_1_1AbstractOutput.html#ab76339f1363078e6008effa62d407668">More...</a><br /></td></tr>
<tr class="separator:ab76339f1363078e6008effa62d407668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a597c06b41e2c9ec0a970b0b564ad4faa"><td class="memItemLeft" align="right" valign="top">const SimTK::Stage &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a597c06b41e2c9ec0a970b0b564ad4faa">getDependsOnStage</a> () const</td></tr>
<tr class="memdesc:a597c06b41e2c9ec0a970b0b564ad4faa"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s dependence on System being realized to at least this System::Stage.  <a href="classOpenSim_1_1AbstractOutput.html#a597c06b41e2c9ec0a970b0b564ad4faa">More...</a><br /></td></tr>
<tr class="separator:a597c06b41e2c9ec0a970b0b564ad4faa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eeca28497e62f0a477cf73d925387a7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a8eeca28497e62f0a477cf73d925387a7">isListOutput</a> () const</td></tr>
<tr class="memdesc:a8eeca28497e62f0a477cf73d925387a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Can this <a class="el" href="classOpenSim_1_1Output.html">Output</a> have more than one channel?  <a href="classOpenSim_1_1AbstractOutput.html#a8eeca28497e62f0a477cf73d925387a7">More...</a><br /></td></tr>
<tr class="separator:a8eeca28497e62f0a477cf73d925387a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5535e2ea3d5948bf2e17b8e04aee3984"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a5535e2ea3d5948bf2e17b8e04aee3984">getOwner</a> () const</td></tr>
<tr class="memdesc:a5535e2ea3d5948bf2e17b8e04aee3984"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s owning <a class="el" href="classOpenSim_1_1Component.html" title="The abstract Component class defines the interface used to add computational elements to the underlyi...">Component</a>.  <a href="classOpenSim_1_1AbstractOutput.html#a5535e2ea3d5948bf2e17b8e04aee3984">More...</a><br /></td></tr>
<tr class="separator:a5535e2ea3d5948bf2e17b8e04aee3984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94efb03c2b8a282bf29a7f99d66a0a5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac94efb03c2b8a282bf29a7f99d66a0a5">getPathName</a> () const</td></tr>
<tr class="memdesc:ac94efb03c2b8a282bf29a7f99d66a0a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns &lt;absolute-path-to-component&gt;|&lt;output-name&gt;.  <a href="classOpenSim_1_1AbstractOutput.html#ac94efb03c2b8a282bf29a7f99d66a0a5">More...</a><br /></td></tr>
<tr class="separator:ac94efb03c2b8a282bf29a7f99d66a0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95d2f13e17a4ca479e5ba14174352cea"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a95d2f13e17a4ca479e5ba14174352cea">clearChannels</a> ()=0</td></tr>
<tr class="memdesc:a95d2f13e17a4ca479e5ba14174352cea"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Output.html">Output</a> Interface.  <a href="classOpenSim_1_1AbstractOutput.html#a95d2f13e17a4ca479e5ba14174352cea">More...</a><br /></td></tr>
<tr class="separator:a95d2f13e17a4ca479e5ba14174352cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac00c50568fed929e041a903ea7f6c864"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac00c50568fed929e041a903ea7f6c864">addChannel</a> (const std::string &amp;channelName)=0</td></tr>
<tr class="memdesc:ac00c50568fed929e041a903ea7f6c864"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a channel to this <a class="el" href="classOpenSim_1_1Output.html">Output</a>.  <a href="classOpenSim_1_1AbstractOutput.html#ac00c50568fed929e041a903ea7f6c864">More...</a><br /></td></tr>
<tr class="separator:ac00c50568fed929e041a903ea7f6c864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d8a0884091b6d3ff9339ce3819f73e6"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1AbstractChannel.html">AbstractChannel</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a7d8a0884091b6d3ff9339ce3819f73e6">getChannel</a> (const std::string &amp;name) const =0</td></tr>
<tr class="separator:a7d8a0884091b6d3ff9339ce3819f73e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6e8788f9d377d511143ce89930d238"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#aca6e8788f9d377d511143ce89930d238">getTypeName</a> () const =0</td></tr>
<tr class="memdesc:aca6e8788f9d377d511143ce89930d238"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the value type (e.g., <code>double</code>) produced by this output.  <a href="classOpenSim_1_1AbstractOutput.html#aca6e8788f9d377d511143ce89930d238">More...</a><br /></td></tr>
<tr class="separator:aca6e8788f9d377d511143ce89930d238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac64621180ef643488dff976a2642f6fe"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac64621180ef643488dff976a2642f6fe">getValueAsString</a> (const SimTK::State &amp;state) const =0</td></tr>
<tr class="separator:ac64621180ef643488dff976a2642f6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1df56d1fafdb75058cb54426d31bb7f"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ad1df56d1fafdb75058cb54426d31bb7f">isCompatible</a> (const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;) const =0</td></tr>
<tr class="separator:ad1df56d1fafdb75058cb54426d31bb7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca0a66b579c965a5b28e93b5384bef1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a1ca0a66b579c965a5b28e93b5384bef1">compatibleAssign</a> (const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;)=0</td></tr>
<tr class="separator:a1ca0a66b579c965a5b28e93b5384bef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9da887d0d0fa0233b67c5458020817d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ae9da887d0d0fa0233b67c5458020817d">operator=</a> (const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;o)</td></tr>
<tr class="separator:ae9da887d0d0fa0233b67c5458020817d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c460400a10304085418655e3293eef"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a75c460400a10304085418655e3293eef">clone</a> () const =0</td></tr>
<tr class="separator:a75c460400a10304085418655e3293eef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a854da294316ce341fe219ad6cbc4276a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a854da294316ce341fe219ad6cbc4276a">getNumberOfSignificantDigits</a> () const</td></tr>
<tr class="memdesc:a854da294316ce341fe219ad6cbc4276a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specification for number of significant figures in string value.  <a href="classOpenSim_1_1AbstractOutput.html#a854da294316ce341fe219ad6cbc4276a">More...</a><br /></td></tr>
<tr class="separator:a854da294316ce341fe219ad6cbc4276a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccc618d0cff3592f4b687c66978911c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#abccc618d0cff3592f4b687c66978911c">setNumberOfSignificantDigits</a> (unsigned int numSigFigs)</td></tr>
<tr class="separator:abccc618d0cff3592f4b687c66978911c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aef2d26aee8f11fbb213bbc21a359652d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#aef2d26aee8f11fbb213bbc21a359652d">setOwner</a> (const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;owner)</td></tr>
<tr class="separator:aef2d26aee8f11fbb213bbc21a359652d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a8da6840627e2288332027d2285291199"><td class="memItemLeft" align="right" valign="top">SimTK::ReferencePtr&lt; const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a8da6840627e2288332027d2285291199">_owner</a></td></tr>
<tr class="separator:a8da6840627e2288332027d2285291199"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p><a class="el" href="classOpenSim_1_1Output.html">Output</a> formalizes the access to a value of interest computed by the owning <a class="el" href="classOpenSim_1_1Component.html" title="The abstract Component class defines the interface used to add computational elements to the underlyi...">Component</a>. </p>
<p>The value is then exposed and easily accessible for use by other components (e.g. to satisfy an <a class="el" href="classOpenSim_1_1Input.html" title="An Input&lt;Y&gt; must be connected by an Output&lt;Y&gt;">Input</a>). The purpose of an <a class="el" href="classOpenSim_1_1Output.html">Output</a> is to bind a value of interest to a component's member function (generator), and provide a generic interface to the value, its type and label so it can be easily identified. It also specifies the realization (computational) stage at which the value is valid, so that a caller can provide adequate error handling.</p>
<p>For example, a <a class="el" href="classOpenSim_1_1Body.html" title="An OpenSim::Body is a PhysicalFrame (reference frame) with associated inertia specified by its mass,...">Body</a> can have its position transformation with respect to <br  />
 ground as an <a class="el" href="classOpenSim_1_1Output.html">Output</a>, which is only accessible when the model has been realized to the Position stage or beyond, in which case it depends on the Position stage. The validity of data flow can be checked prior to initiating a simulation.</p>
<p>An <a class="el" href="classOpenSim_1_1Output.html">Output</a> is intended to lightweight and adds no computational overhead if the output goes unused. When an <a class="el" href="classOpenSim_1_1Output.html">Output</a>'s value is called upon, the overhead is a single redirect to the corresponding member function for the value.</p>
<p>An <a class="el" href="classOpenSim_1_1Output.html">Output</a> can either be a single-value <a class="el" href="classOpenSim_1_1Output.html">Output</a> or a list <a class="el" href="classOpenSim_1_1Output.html">Output</a>. A list <a class="el" href="classOpenSim_1_1Output.html">Output</a> is one that can have multiple Channels. The Channels are what get connected to Inputs. </p><dl class="section author"><dt>Author</dt><dd>Ajay Seth </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0bfcb6c6daec50e7282346522f88dc63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bfcb6c6daec50e7282346522f88dc63">&#9670;&nbsp;</a></span>AbstractOutput() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractOutput::AbstractOutput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab03fca4d34bedf0c35f5594a2d929234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab03fca4d34bedf0c35f5594a2d929234">&#9670;&nbsp;</a></span>AbstractOutput() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractOutput::AbstractOutput </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Stage&#160;</td>
          <td class="paramname"><em>dependsOnStage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2725d90966fff4eab25cdcaf44a16d6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2725d90966fff4eab25cdcaf44a16d6c">&#9670;&nbsp;</a></span>AbstractOutput() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractOutput::AbstractOutput </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e98263bd1b2661b1720e8a42e9148e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e98263bd1b2661b1720e8a42e9148e0">&#9670;&nbsp;</a></span>~AbstractOutput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::AbstractOutput::~AbstractOutput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac00c50568fed929e041a903ea7f6c864"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac00c50568fed929e041a903ea7f6c864">&#9670;&nbsp;</a></span>addChannel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::AbstractOutput::addChannel </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>channelName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add a channel to this <a class="el" href="classOpenSim_1_1Output.html">Output</a>. </p>
<p>This should be called within the component's extendFinalizeFromProperties() . </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#af6b0970db83b2316bd5e50448c64bdcc">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a95d2f13e17a4ca479e5ba14174352cea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95d2f13e17a4ca479e5ba14174352cea">&#9670;&nbsp;</a></span>clearChannels()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::AbstractOutput::clearChannels </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Output.html">Output</a> Interface. </p>
<p>Remove all channels from this <a class="el" href="classOpenSim_1_1Output.html">Output</a> (for list Outputs). </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#ad8c486191727a29eeb2d73bbcf30333a">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a75c460400a10304085418655e3293eef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75c460400a10304085418655e3293eef">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a>* OpenSim::AbstractOutput::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#a44655b7f8f896e32c1a940e4f114b9f2">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a1ca0a66b579c965a5b28e93b5384bef1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca0a66b579c965a5b28e93b5384bef1">&#9670;&nbsp;</a></span>compatibleAssign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::AbstractOutput::compatibleAssign </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#a1714f311a157e9a901f1107596c73fc6">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a7d8a0884091b6d3ff9339ce3819f73e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d8a0884091b6d3ff9339ce3819f73e6">&#9670;&nbsp;</a></span>getChannel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOpenSim_1_1AbstractChannel.html">AbstractChannel</a>&amp; OpenSim::AbstractOutput::getChannel </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#a6311df6bcee8cb3d03e23b07406219cb">OpenSim::Output&lt; T &gt;</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Input.html#ac624dfe7f6745cc540e24f5702c48788">OpenSim::Input&lt; T &gt;::finalizeConnection()</a>.</p>

</div>
</div>
<a id="a597c06b41e2c9ec0a970b0b564ad4faa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a597c06b41e2c9ec0a970b0b564ad4faa">&#9670;&nbsp;</a></span>getDependsOnStage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Stage&amp; OpenSim::AbstractOutput::getDependsOnStage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s dependence on System being realized to at least this System::Stage. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#aa14697a68037f9e9f3dbf23d1cd7d013">OpenSim::Output&lt; T &gt;::getValue()</a>.</p>

</div>
</div>
<a id="ab76339f1363078e6008effa62d407668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab76339f1363078e6008effa62d407668">&#9670;&nbsp;</a></span>getName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::AbstractOutput::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s name. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#a6311df6bcee8cb3d03e23b07406219cb">OpenSim::Output&lt; T &gt;::getChannel()</a>, and <a class="el" href="classOpenSim_1_1Output_1_1Channel.html#a7fc1ee7f02b1db68e72500fe40ed44a3">OpenSim::Output&lt; T &gt;::Channel::getPathName()</a>.</p>

</div>
</div>
<a id="a854da294316ce341fe219ad6cbc4276a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a854da294316ce341fe219ad6cbc4276a">&#9670;&nbsp;</a></span>getNumberOfSignificantDigits()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int OpenSim::AbstractOutput::getNumberOfSignificantDigits </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Specification for number of significant figures in string value. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#a72b14dc9dc396a92c493509ec3e47190">OpenSim::Output&lt; T &gt;::getValueAsString()</a>.</p>

</div>
</div>
<a id="a5535e2ea3d5948bf2e17b8e04aee3984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5535e2ea3d5948bf2e17b8e04aee3984">&#9670;&nbsp;</a></span>getOwner()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1Component.html">Component</a>&amp; OpenSim::AbstractOutput::getOwner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Output.html">Output</a>'s owning <a class="el" href="classOpenSim_1_1Component.html" title="The abstract Component class defines the interface used to add computational elements to the underlyi...">Component</a>. </p>

</div>
</div>
<a id="ac94efb03c2b8a282bf29a7f99d66a0a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac94efb03c2b8a282bf29a7f99d66a0a5">&#9670;&nbsp;</a></span>getPathName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::AbstractOutput::getPathName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This returns &lt;absolute-path-to-component&gt;|&lt;output-name&gt;. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Input.html#a958819e04ea16dfdd2f21aded9fc1620">OpenSim::Input&lt; T &gt;::connect()</a>.</p>

</div>
</div>
<a id="aca6e8788f9d377d511143ce89930d238"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca6e8788f9d377d511143ce89930d238">&#9670;&nbsp;</a></span>getTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string OpenSim::AbstractOutput::getTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The name of the value type (e.g., <code>double</code>) produced by this output. </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#a31448d50cdb49ecba2831633818fa445">OpenSim::Output&lt; T &gt;</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#a1714f311a157e9a901f1107596c73fc6">OpenSim::Output&lt; T &gt;::compatibleAssign()</a>, and <a class="el" href="classOpenSim_1_1Input.html#a958819e04ea16dfdd2f21aded9fc1620">OpenSim::Input&lt; T &gt;::connect()</a>.</p>

</div>
</div>
<a id="ac64621180ef643488dff976a2642f6fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac64621180ef643488dff976a2642f6fe">&#9670;&nbsp;</a></span>getValueAsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string OpenSim::AbstractOutput::getValueAsString </td>
          <td>(</td>
          <td class="paramtype">const SimTK::State &amp;&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#a72b14dc9dc396a92c493509ec3e47190">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="ad1df56d1fafdb75058cb54426d31bb7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1df56d1fafdb75058cb54426d31bb7f">&#9670;&nbsp;</a></span>isCompatible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool OpenSim::AbstractOutput::isCompatible </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1Output.html#acb57d7e76b1b2c4b6ee95339ff96a5cd">OpenSim::Output&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a8eeca28497e62f0a477cf73d925387a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eeca28497e62f0a477cf73d925387a7">&#9670;&nbsp;</a></span>isListOutput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::AbstractOutput::isListOutput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Can this <a class="el" href="classOpenSim_1_1Output.html">Output</a> have more than one channel? </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#af6b0970db83b2316bd5e50448c64bdcc">OpenSim::Output&lt; T &gt;::addChannel()</a>, <a class="el" href="classOpenSim_1_1Output.html#ad8c486191727a29eeb2d73bbcf30333a">OpenSim::Output&lt; T &gt;::clearChannels()</a>, <a class="el" href="classOpenSim_1_1Output.html#a6311df6bcee8cb3d03e23b07406219cb">OpenSim::Output&lt; T &gt;::getChannel()</a>, <a class="el" href="classOpenSim_1_1Output.html#aa14697a68037f9e9f3dbf23d1cd7d013">OpenSim::Output&lt; T &gt;::getValue()</a>, and <a class="el" href="classOpenSim_1_1Output.html#a72b14dc9dc396a92c493509ec3e47190">OpenSim::Output&lt; T &gt;::getValueAsString()</a>.</p>

</div>
</div>
<a id="ae9da887d0d0fa0233b67c5458020817d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9da887d0d0fa0233b67c5458020817d">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a>&amp; OpenSim::AbstractOutput::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a> &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#af45e45ffdf85cce55b8817830f4afc9e">OpenSim::Output&lt; T &gt;::operator=()</a>.</p>

</div>
</div>
<a id="abccc618d0cff3592f4b687c66978911c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccc618d0cff3592f4b687c66978911c">&#9670;&nbsp;</a></span>setNumberOfSignificantDigits()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::AbstractOutput::setNumberOfSignificantDigits </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>numSigFigs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aef2d26aee8f11fbb213bbc21a359652d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef2d26aee8f11fbb213bbc21a359652d">&#9670;&nbsp;</a></span>setOwner()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::AbstractOutput::setOwner </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;&#160;</td>
          <td class="paramname"><em>owner</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8da6840627e2288332027d2285291199"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8da6840627e2288332027d2285291199">&#9670;&nbsp;</a></span>_owner</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimTK::ReferencePtr&lt;const <a class="el" href="classOpenSim_1_1Component.html">Component</a>&gt; OpenSim::AbstractOutput::_owner</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1Output.html#aa14697a68037f9e9f3dbf23d1cd7d013">OpenSim::Output&lt; T &gt;::getValue()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/ComponentOutput.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1AbstractOutput.html">AbstractOutput</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:16 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
